using Microsoft.Extensions.Logging;
using PlumbingRepairContracts.BusinessLogicsContracts;

namespace PlumbingRepair
{
	public partial class FormMails : Form
	{
		private readonly ILogger _logger;
		private readonly IMessageInfoLogic _logic;

		public FormMails(ILogger<FormMails> logger, IMessageInfoLogic logic)
		{
			InitializeComponent();
			_logger = logger;
			_logic = logic;
			LoadData();
		}

		private void LoadData()
		{
			try
			{
				DataGridView.FillandConfigGrid(_logic.ReadList(null));
				_logger.LogInformation("Загрузка писем");
			}
			catch (Exception ex)
			{
				_logger.LogError(ex, "Ошибка загрузки писем");
				MessageBox.Show(ex.Message, "Ошибка", MessageBoxButtons.OK,
				MessageBoxIcon.Error);
			}
		}

		private void FormMails_Load(object sender, EventArgs e)
		{
			LoadData();
		}
	}
}
